%define major 1
%define libname %mklibname pcap %major
%define develname %mklibname pcap -d

Name:		libpcap
Version:	1.3.0
Release:	%mkrel 4
Summary:	A system-independent interface for user-level packet capture
License:	BSD
Group:		System/Libraries
URL:		http://www.tcpdump.org/
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
Patch0:		libpcap-multilib.patch
Patch1:		libpcap-man.patch
Patch2:		lpthread-1.3.0-libpcap.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libnl3-devel
BuildRequires:	bluez-devel

%description
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package doc
Summary: Manual pages for %name
Group: Documentation
BuildArch: noarch
Conflicts: %develname < 1.1.1-3

%description doc
This contains the manual pages documenting %{name}.

%package -n	%{libname}
Summary:	A system-independent interface for user-level packet capture
Group:          System/Libraries
Obsoletes:      %{name} < %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Provides:       pcap = %{version}-%{release}

%description -n	%{libname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package -n	%{develname}
Summary:	Static library and header files for the pcap library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pcap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname pcap -d 0}

%description -n	%{develname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

This package contains the static pcap library and its header files needed to
compile applications such as tcpdump, etc.

%prep
%setup -q
%apply_patches

%build
%serverbuild
export CFLAGS="%{optflags} -fno-strict-aliasing"

%configure2_5x \
    --enable-ipv6

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}

%makeinstall_std

ln -snf libpcap.so.%{major} %{buildroot}%{_libdir}/libpcap.so

# install additional headers
install -m0644 pcap-int.h %{buildroot}%{_includedir}/
install -m0644 pcap/bluetooth.h %{buildroot}%{_includedir}/pcap/

rm -f %{buildroot}%{_libdir}/libpcap.a

%files -n %{libname}
%doc README* CREDITS INSTALL.txt LICENSE
%{_libdir}/libpcap.so.%{major}*

%files doc
%{_mandir}/man?/*

%files -n %{develname}
%doc CHANGES TODO
%{_bindir}/pcap-config
%dir %{_includedir}/pcap
%{_includedir}/pcap/*.h
%{_includedir}/*.h
%{_libdir}/libpcap.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-4.mga3
+ Revision: 357948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.3.0-3.mga3
+ Revision: 305614
- Documentation group

* Thu Sep 20 2012 guillomovitch <guillomovitch> 1.3.0-2.mga3
+ Revision: 296322
- enable bluetooth support

* Thu Aug 09 2012 luigiwalser <luigiwalser> 1.3.0-1.mga3
+ Revision: 280172
- 1.3.0 (sync with mdv)

* Tue Mar 20 2012 tmb <tmb> 1.2.1-2.mga2
+ Revision: 225004
- build against libnl3

* Sun Jan 22 2012 guillomovitch <guillomovitch> 1.2.1-1.mga2
+ Revision: 199671
- new version

* Mon Dec 19 2011 guillomovitch <guillomovitch> 1.2.0-1.mga2
+ Revision: 184231
- new version
- spec cleanup
- drop useless soft dependency on doc package

* Sat Jan 15 2011 mikala <mikala> 1.1.1-3.mga1
+ Revision: 18649
- Drop mdk macros
- Remove BuildRoot
- imported package libpcap

